package com.engine.salary.util.excel;
import org.apache.commons.lang3.exception.ContextedRuntimeException;

public class ExcelParseException extends ContextedRuntimeException{
	
	private static final long serialVersionUID = -8696742623977630854L;
	
	public ExcelParseException(String message) {
		super(message);
		this.msgCode = DEFAULT_CODE;
    }

    public ExcelParseException(String message, Throwable cause) {
        super(message, cause);
        this.msgCode = DEFAULT_CODE;
    }

    /**
     * 默认异常编码
     */
    private static final String DEFAULT_CODE = "EXCP0000";
    
    /**
     * 异常编码
     */
    private String msgCode;

	public String getMsgCode() {
		return msgCode;
	}

	public void setMsgCode(String msgCode) {
		this.msgCode = msgCode;
	}
    
}
